Subject: Re: [Bitcoin-development] BIP for Proof of Payment

From: Pieter Wuille <[email-masked]>
Date: Sat, 6 Jun 2015 17:23:48 +0200

On Sat, Jun 6, 2015 at 5:18 PM, Luke Dashjr <[email-masked]> wrote:

> I also agree with Pieter, that this should *not* be so cleanly compatible
> with Bitcoin transactions. If you wish to share code, perhaps using an
> invalid opcode rather than OP_RETURN would be appropriate.

Using an invalid opcode would merely send funds into the void. It wouldn't
invalidate the transaction.

-- 
Pieter